For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.registries.update_subscription(
body={
"tier_slug": "basic",
},
)
Returns JSONRaises HttpResponseError
Description
After creating your registry, you can switch to a different subscription tier to better suit your needs. To do this, send a POST request to /v2/registries/subscription. It is similar to POST /v2/registry/subscription.
Parameters
tier_slug string optional
The slug of the subscription tier to sign up for.
One of: starter, basic, professional
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
req = {
"tier_slug": "basic"
}
resp = client.registries.update_subscription(body=req)
Response Example
Show Response Example
{
"subscription": {
"tier": {
"name": "Basic",
"slug": "basic",
"included_repositories": 5,
"included_storage_bytes": 5368709120,
"allow_storage_overage": true,
"included_bandwidth_bytes": 5368709120,
"monthly_price_in_cents": 500,
"storage_overage_price_in_cents": 2
},
"created_at": "2020-01-23T21:19:12Z",
"updated_at": "2020-11-05T15:53:24Z"
}
}
See /v2/registries/subscription in the API reference for additional detail on responses, headers, parameters, and more.